подпроцесс установлен сценарий post installation возвратил код ошибки 1

ошибка при установке пакета

устанавливаю через Synaptec liferea

в конце установки получаю: E: liferea: подпроцесс установлен сценарий post-installation возвратил код ошибки 1

подозреваю что это после

версия дистра Ubuntu 12.04.4 LTS

108812:1462833258

86121:847358151

108812:1462833258

86121:847358151

Что там за файлы есть? Покажи tree /usr/share/doc/liferea или find /usr/share/doc/liferea

108812:1462833258

86121:847358151

Можно косить. Но на всякий случай еще покажи

108812:1462833258

86121:847358151

на всякий случай сделай бекап тех двух файлов:

И проверь целостность пакета liferea:

Если будут разбежности — верни старые файлы на место

108812:1462833258

108812:1462833258

86121:847358151

вот по этому я написал

Верни папку наместо: sudo mkdir /usr/share/doc/liferea

P.S. Наверное стоит сознать багрепорт на багтрекер убунты про пакет liferea.

86121:847358151

md5sum: ПРЕДУПРЕЖДЕНИЕ: не удалось прочитать 2 файла из списка

Таки надо было вернуть назад те два файла.

Сейчас можно попробовать переустановить пакет. Есть два варианта:

108812:1462833258

p

86121:847358151

rmdir: не удалось удалить «/usr/share/doc/liferea»: Каталог не пуст

точно баг скрипта установки. Ну тогда надо как я говорил:
1. Очистить папку /usr/share/doc/liferea (но саму папку оставить):

И всё будет хорошо. И за ядро не беспокойся — оно походу стало нормально.

86121:847358151

Не поможет. Оно только разруливает сломанные зависимости, а тут баг скрипта установки.

Источник

Проблема с post-installation.

Проблема заключается в выводе сообщения об ошибке, после установки программ или пакетов. Содержание следующее:

Ума не приложу, что это и какие последствия это имеет. Программы, вроде, работают. Debian.

101244: 1100569697

Нужен полный лог, начиная с команды установки.

49912:1163776537

Инкременирую сообщение выше. Заодно покажите /var/lib/dpkg/info/rsyslog.postinst.

Полный лог занимает очень много места.

101244: 1100569697

Полный лог занимает очень много места.

И с LANG=C перед выполнением, гадать по локализованным сообщения сложно.

49912:1163776537

insserv: warning: script ‘K01smfpd’ missing LSB tags and overrides
insserv: warning: script ‘smfpd’ missing LSB tags and overrides
insserv: warning: script ‘winetricks’ missing LSB tags and overrides

101244: 1100569697

Меня вообще ужасно удивляет факт существования скрипта winetricks %)

Спасибо большое. Все отлично. Как вы так быстро все поняли?

49912:1163776537

Встречал раньше такие сообщения на форумах. Кроме того, когда сам писал init-скрипт, обнаружил, что insserv немного сходит с ума (предполагает весьма странные вещи) на скриптах без правильного LSB init script header.

Источник

unixforum.org

Форум для пользователей UNIX-подобных систем

Проблема с sudo и policykit

Проблема с sudo и policykit

Сообщение winhex » 21.06.2015 14:04

Добрый день! Возникла проблема с этими пакетами. Гугление не помогло решить проблему. Вот в чем ее суть:

file.php?avatar=29803

Re: Проблема с sudo и policykit

Сообщение Bizdelnick » 21.06.2015 14:48

в консол и
вку́пе (с чем-либо)
в общем
в ообще
в течени е (часа)
нович ок
нюанс
п о умолчанию
приемл емо
пробле ма
проб овать
тра фик

Re: Проблема с sudo и policykit

Сообщение winhex » 21.06.2015 21:08

file.php?avatar=29803

Re: Проблема с sudo и policykit

Сообщение Bizdelnick » 21.06.2015 21:57

в консол и
вку́пе (с чем-либо)
в общем
в ообще
в течени е (часа)
нович ок
нюанс
п о умолчанию
приемл емо
пробле ма
проб овать
тра фик

Re: Проблема с sudo и policykit

Сообщение winhex » 22.06.2015 22:13

file.php?avatar=29803

Re: Проблема с sudo и policykit

Сообщение Bizdelnick » 22.06.2015 22:50

Интересно, почему её не было.

в консол и
вку́пе (с чем-либо)
в общем
в ообще
в течени е (часа)
нович ок
нюанс
п о умолчанию
приемл емо
пробле ма
проб овать
тра фик

Re: Проблема с sudo и policykit

Сообщение winhex » 23.06.2015 00:49

Интересно, почему её не было.

Да уж. Что более странно, проблема эта вылезла не так давно. И не мешала особо, пока не понадобилось установить пакет, в зависимостях у которого sudo

Источник

Проблемы с apt-get upgrade

Здравствуйте уважаемые форумчане. Знаю, я не очень продвинут в изучении Linux, но маленькими шажками я иду к цели 🙂 Столкнулся с проблемой apt-get upgrade. При установке программ, обнвлении ядра Linux, обновлении пакетов постоянно выходит ошибка

70167:33853434

Проблема таилась совсем в другом.

Проблема таилась совсем в другом, GRUB перестал загружать ядро, ну ок, исправил, помогло только на 2 часа, потом он опять перестал загружать ядро, далее, плюс ко всему, система перестала видеть сам загрузчик, просто при включении черный экран, никакой реакции. Загрузился с LiveCD, решил проверить сам HDD, но не тут то было-он как бы отсутсвовал(хотя звук работы был), проверил примонтирован ли он, но он оказался просто «невидиимкой», подключил к другому ноуту, все те же результаты. Сегодня отнес в сервис, сказали что «умер» контроллер(не помню какой назвали) и нужно скорее всего покупать новый HDD, еще сказали что я счастливчик, т.к. жесткий диск данной фирмы(не буду называть, чтобы не сочли АНТИрекламой) проработал более 5 лет.

Ах да, забыл написать-после невозможности устанавливать программы, посыпались ошибки ввода/вывода.

69046: 1308354035

Зачем тебе ставить отдельно Яндекс.Диск, когда к нему можно подключаться из любого нормального файлового менеджера по инструкции на самом сайте Яндекс.Диска?

70167:33853434

млять это просто наитупейший набор фраз который я только слышал.

Когда ты загружаешься с лайва у тебя НИКАКОЙ диск не будет примонтирован это первое.

Что значит груб перестал загружать ядро? Просто так его невозможно сломать.

Яндекс диск ставится ЭЛЕМЕНТАРНО! сам им пользуюсь много лет

42221:2141425871

Источник

apt-get update с ошибками

W: Ignoring file ‘google-chrome.list.save’ in directory ‘/etc/apt/sources.list.d/’ as it has an invalid filename extension W: Ignoring file ‘google-talkplugin.list.save’ in directory ‘/etc/apt/sources.list.d/’ as it has an invalid filename extension W: Ignoring file ‘opera.list.save’ in directory ‘/etc/apt/sources.list.d/’ as it has an invalid filename extension W: Ошибка GPG: http://mozilla.debian.net squeeze-backports Release: Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY 85A3D26506C4AE2A

88683:2134339329

добавить репозиторий через apt-add-repository, а не просто дописать в sources.list.

p

Удали *.save из /etc/apt/sources.list.d/

Хотя, опера при обновлении всё равно туда наложат. Хром, судя по всему, тоже.

49912:1163776537

88683:2134339329

Спасибо понял, вот еще есть пациент E: lighttpd: подпроцесс установлен сценарий post-installation возвратил код ошибки 1 E: lighttpd-mod-magnet: проблемы зависимостей — оставляем не настроенным

49912:1163776537

88683:2134339329

Starting web server: lighttpd2011-09-26 22:09:11: (network.c.358) can’t bind to port: 80 Address already in use failed!

invoke-rc.d: initscript lighttpd, action «start» failed.

dpkg: не удалось обработать параметр lighttpd (—configure):

подпроцесс установлен сценарий post-installation возвратил код ошибки 1

dpkg: зависимости пакетов не позволяют настроить пакет lighttpd-mod-magnet: lighttpd-mod-magnet зависит от lighttpd (= 1.4.28-2), однако: Пакет lighttpd пока не настроен. dpkg: не удалось обработать параметр lighttpd-mod-magnet (—configure): проблемы зависимостей — оставляем не настроенным При обработке следующих пакетов произошли ошибки:

49912:1163776537

88683:2134339329

Прошу прощения за некомпетентность, но я не в курсе как опуститься в single-user mode

Источник